lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mass_insert/version'

Gem::Specification.new do |spec|
  spec.name          = 'mass_insert'
  spec.version       = MassInsert::VERSION
  spec.authors       = ['Alejandro Gutiérrez']
  spec.email         = ['alejandrodevs@gmail.com']
  spec.summary       = 'Mass database insertion in Rails'
  spec.description   = 'This gem aims to provide an easy and faster way to do single database insertions in Rails.'
  spec.homepage      = 'https://github.com/alejandrodevs/mass_insert'
  spec.license       = 'MIT'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage
  spec.metadata['changelog_uri'] = "#{spec.homepage}/blob/master/LICENSE.txt"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'pg', '~> 1.2'
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'mysql2', '~> 0.5'
  spec.add_development_dependency 'sqlite3', '~> 1.4'
  spec.add_development_dependency 'appraisal', '~> 2.4'
  spec.add_development_dependency 'coveralls', '~> 0.8'

  spec.add_dependency 'activerecord', '>= 5.2'
end
